services:
    elbotrade.catalog_bundle.catalog_finder:
        class: Elbotrade\Bundle\CatalogBundle\Service\CatalogFinder
        arguments:
            - @doctrine.orm.entity_manager

    elbotrade.catalog.catalog_category_finder:
        class: Elbotrade\Bundle\CatalogBundle\Service\CatalogCategoryFinder
        arguments:
            - @doctrine.orm.entity_manager

    elbotrade.catalog_bundle.menu_builder:
        class: Elbotrade\Bundle\CatalogBundle\EventListener\MenuBuilderListener
        tags:
            - { name: kernel.event_listener, event: sylius.menu_builder.backend.main, method: addBackendMenuItems }
            - { name: kernel.event_listener, event: sylius.menu_builder.backend.sidebar, method: addBackendMenuItems }

    elbotrade.catalog.catalog_manager:
        class: Elbotrade\Bundle\CatalogBundle\Service\CatalogManager
        scope: request
        arguments:
            - @sonata.media.manager.media
            - @elbotrade_catalog.services.image_processor
            - @doctrine.orm.entity_manager
            - %app.file_upload_dir%
            - @filesystem

    elbotrade.catalog.catalog_category_manager:
        class: Elbotrade\Bundle\CatalogBundle\Service\CatalogCategoryManager
        arguments:
            - @doctrine.orm.entity_manager

    elbotrade.catalog.file_uploader:
        class: Elbotrade\Bundle\CatalogBundle\Service\FileUploader
        arguments:
          - file_base_path: '%file_uploader.file_base_path%'
            web_base_path: '%file_uploader.web_base_path%'
            request: '@request'
            file_manager: '@punk_ave.file_uploader_file_manager'
            allowed_extensions: '%file_uploader.allowed_extensions%'
            sizes: '%file_uploader.sizes%'
            originals: '%file_uploader.originals%'
            max_number_of_files: '%file_uploader.max_number_of_files%'
            max_file_size: '%file_uploader.max_file_size%'
        scope: request

    elbotrade_catalog.services.image_processor:
        class: Elbotrade\Bundle\CatalogBundle\Service\ImageProcessor
        scope: request
        arguments:
            - @punk_ave.file_uploader
            - @doctrine.orm.entity_manager
            - @sonata.media.manager.media
            - %app.file_upload_dir%